MONGOC_GRIDFS_FILE_WRITEV(3)

NAME
mongoc_gridfs_file_writev() - Performs a gathered write to the underlying gridfs file.

SYNOPSIS

ssize_t
mongoc_gridfs_file_writev (mongoc_gridfs_file_t *file,
                           mongoc_iovec_t       *iov,
                           size_t                iovcnt,
                           uint32_t              timeout_msec);

PARAMETERS

file
    A mongoc_gridfs_file_t \&.

iov An array of mongoc_iovec_t \&.

iovcnt
    The number of elements in iov \&.

timeout_msec
    A uint32_t with the timeout in milliseconds.

DESCRIPTION

Performs a gathered write to the underlying gridfs file.

If timeout is reached, then -1 is returned and errno is set to ETIMEDOUT.

RETURNS

Returns the number of bytes written or -1 upon error and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.